Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
bqtuanks

< Nhờ Giúp Đỡ > Sửa Lisp, Đánh Cao Độ Trong Trắc Ngang

Các bài được khuyến nghị

bqtuanks    5

Nhờ các bác giúp đỡ . Em muốn cho kết quả cao độ  đằng sau dấu phẩy 2 số (dạng 00.00)mà lisp này cho kết quả đằng sau dấu phẩy 3 số (00.000). Bác nào biết sửa thì giúp mình vớihttp://www.cadviet.com/upfiles/5/145898_tinh_cao_do.lsp

  • Vote giảm 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Chỗ nào có chữ rtos thì bạn chuyển số 3 thành số 2

Ps : vì câu hỏi này có độ vài chục người hỏi r, nên dự là bạn sẽ nhận đc 1- của anti lazy member ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bqtuanks    5

Chỗ nào có chữ rtos thì bạn chuyển số 3 thành số 2

Ps : vì câu hỏi này có độ vài chục người hỏi r, nên dự là bạn sẽ nhận đc 1- của anti lazy member ^^

Mình gà quá nên mình không biết chỉnh như thế nào. mình post cái lisp này lên cho bạn xem rồi bản chỉ giúp mình với ! chỗ rtos mình tìm thấy là như thế này (setq nt1 (cons 1 (rtos TextValue)))

 

;;================= Tick cao do theo cao do da biet tren ban ve =================

(Defun c:T4() 
(setvar "CMDECHO" 0)
  (if (= tl nil) 
    (progn
     (setq tl (getreal "\n Drawing scale? (%) : "))
     (setq tl1 (/ 100 tl))
    )
  )
 
(Setq P1 (Getpoint "\n Pick base elevation poin:"))
 (setq s1 (entget (car (entsel "\n Select text to get base elevation:"))))
 (setq otext1 (assoc 1 s1))
 (setq ot1 (cdr otext1))   
 (setq ot1 (read (substr ot1 1)))
 
(while
(Setq P2 (Getpoint "\n Pick point on DWG:")
      Ds (/ (- (Cadr P2) (Cadr P1)) tl1)
 )
 
(command "luprec" "3")
 
;Gan gia tri cao do noi suy duoc cho text tren ban ve: 
  (setq giatri (entget (car (entsel "\n Select text to add new elevation:"))))
  (setq gia (assoc 1 giatri))
;---------------------------------------------------------------------------------
  (Setq TextValue (+ ot1 Ds)) ;(Cong thuc xac ®inh gia tri text)
;---------------------------------------------------------------------------------
  (setq nt1 (cons 1 (rtos TextValue)))
  (setq giatri (subst nt1 gia giatri))
  (entmod giatri)
)
 (princ)
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bqtuanks    5

Thế là các bác chưa biết là tại sao lại không sửa được số thập phân nên quy ngay cho mình không biết nhìn cái rtos mà sửa à. :D . 

Dù sao cảm ơn bác Doan  Van Ha. Bác nói làm em mới biết cái lệnh “luprec”. Và em đã làm được :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Thế là các bác chưa biết là tại sao lại không sửa được số thập phân nên quy ngay cho mình không biết nhìn cái rtos mà sửa à. :D . 

Dù sao cảm ơn bác Doan  Van Ha. Bác nói làm em mới biết cái lệnh “luprec”. Và em đã làm được :D

Bạn cao ngạo quá đáng!

Tôi đọc lisp và thấy hoặc rtos hoặc luprec đều có số 3 nên tư vấn bạn sửa thành số 2, chứ tôi có nói hoàn toàn do rtos đâu (dù bài viết ở trên tôi bực mình nên đã xóa).

Còn anh Ketxu thì chắc do không đọc lisp nên phỏng đoán thế, chứ anh ấy không tệ như bạn nghĩ đâu.

Bạn có tin tưởng là nếu sửa luprec thì chắc chắn mọi lúc mọi nơi đều đúng không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bqtuanks    5

Có thể bạn nói đúng  là mình cao ngạo. Mình hơi ức chế vì mới tham gia và bị trừ điểm nên nói thế thôi vì mình cũng search rồi nhưng do tính không linh hoạt và cũng không biết gì về lisp nên chả nghĩ đến là nên sửa cái gì, . Còn về lisp hay cad thì mình đi học mọi người thôi chứ không biết gì đâu  

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Có thể bạn nói đúng  là mình cao ngạo. Mình hơi ức chế vì mới tham gia và bị trừ điểm nên nói thế thôi vì mình cũng search rồi nhưng do tính không linh hoạt và cũng không biết gì về lisp nên chả nghĩ đến là nên sửa cái gì, . Còn về lisp hay cad thì mình đi học mọi người thôi chứ không biết gì đâu  

Hề hề hề,

Hy vọng rằng nhờ cái ức chế ấy mà bạn sẽ tìm hiểu kỹ hơn về các quy định của diễn đàn về việc post bài khi có yêu cầu về lisp.

Việc sử dụng lisp cũng cần có những kiến thức tối thiểu về nó, bởi nếu không sẽ là tai họa khó lường.

Với hàm (rtos .....) bạn nên tham khảo trong help của CAD để biết cách sử dụng. 

Hướng dẫn của bác Ket không sai đâu, chỉ là do bạn chưa hiểu về hàm này nên không thể dùng mà thôi.

Thực tế mình đọc lisp thấy cũng có kha khá cái hàm (rtos ...... 2 3) đó chứ.

Bạn hãy bình tĩnh để đọc các góp ý của mọi người, cho dù đôi khi đọc lên nghe không thuận nhĩ, nhưng ắt sẽ có lợi cho bạn đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×